Supporto » Fixing WordPress » ERRORE DOPO AGGIORNARMENTO:Uncaught TypeError: jQuery

  • biancantb

    (@biancantb)


    Buongiorno,
    dopo l’aggiornamento di wordpress all’ultima versione 5.5.1–it_IT,
    mi è apparso in Console di ispezione elemento una serie di errori
    che riporto qui di seguito in parte:

    Uncaught TypeError: jQuery(…).live is not a function
    at HTMLDocument.<anonymous> (admin.php?page=et-settings:93)
    at i (jquery.js?ver=1.12.4-wp:2)
    at Object.fireWith [as resolveWith] (jquery.js?ver=1.12.4-wp:2)
    at Function.ready (jquery.js?ver=1.12.4-wp:2)
    at HTMLDocument.J (jquery.js?ver=1.12.4-wp:2)
    plugin.min.js?ver=49100-20200624:1 Deprecated TinyMCE API call: <target>.onChange.add(..)
    wp-auth-check.min.js?ver=5.5.1:2 Uncaught TypeError: Cannot read property ‘hasClass’ of undefined
    at HTMLDocument.<anonymous> (wp-auth-check.min.js?ver=5.5.1:2)

    Riuscite ad aiutarmi?
    Grazie

Stai visualizzando 5 risposte - dal 1 al 5 (di 5 totali)
  • luca21

    (@luca21)

    Ciao @biancantb ,

    Sembra che il tema non carichi più jQuery.
    Meglio guardare il sorgente pagina per vedere se c’è.

    In alternativa posso suggerire uno script, da inserire in un widget “html personalizzato” nel footer del tema. Uscirà una finestrella con l’avviso se jQuery c’è o non c’è.

    <script>
    if (typeof jQuery != 'undefined') {
        alert("jQuery library is loaded!");
    }else{
        alert("jQuery library is not found!");
    }
    </script>

    Se jQuery non c’è sarà facile trovare un altro script che la carica visto che ti serve.

    luca21

    (@luca21)

    Ciao @biancantb ,

    se jQuery c’è allora il msg jQuery(…).live is not a function vuol dire che un plugin di wp sta cercando di utilizzare una versione di jQuery ormai obsoleta, sostituita dall’ aggiornamento.

    tonicopi

    (@tonicopi)

    Si penso anch’io che il tuo tema o qualche plugin debba essere aggiornato.
    In attesa puoi utilizzare questo plugin che dovrebbe mettere in sesto il tuo sito:
    https://wordpress.org/plugins/enable-jquery-migrate-helper/#utm_medium=referral&utm_source=facebook.com&utm_content=social

    biancantb

    (@biancantb)

    Grazie a tutti,
    ho installato il Plug in suggerito ed effettivamente funziona.
    Cosa mi suggerite di fare per fixare il problema senza plug?
    Ho agiornato anche tutti i plug e il theme
    Grazie per la vostra professionalita’

    Moderatore Rosetta Facciolini

    (@ramthas)

    Web Manager

    Ciao @biancantb
    oltre ad aver aggiornato tutto, requisito fondamentale, è necessario fare una procedura di disattivazione dei plugin e vedere se funziona, stessa procedura per il tema.
    Riattivandoli poi riesci a capire chi crea il problema.
    https://it.wordpress.org/support/topic/prima-di-aprire-un-ticket-leggi-qui/

Stai visualizzando 5 risposte - dal 1 al 5 (di 5 totali)
  • Devi essere collegato per rispondere a questo topic.